OneRosterOrgInput

  • organization
    Type: object
    required
    • appStoreEnabled
      Type: boolean
      deprecated
      required

      Deprecated: use PUT /orgs/{sourcedId}/config instead. Whether app store is enabled for the organization.

    • identifier
      Type: string
      required

      External identifier for the organization

    • name
      Type: string
      required

      Name of the organization

    • parentId
      Type: string | null
      required

      ID of the parent organization (null for top-level organizations)

    • privacyPolicyUrl
      Type: stringFormat: uri
      deprecated
      required

      Deprecated: use PUT /orgs/{sourcedId}/config instead. Privacy policy URL for the organization.

    • sourcedId
      Type: string
      required

      Unique identifier for the organization

    • type
      Type: stringenum
      required

      Type of organization

      values
      • department
      • school
      • district
      • local
      • state
      • national
    • cameraMicDefault
      Type: stringenum
      deprecated

      Deprecated: use PUT /orgs/{sourcedId}/config instead. Default camera/mic permission for users in this organization (defaults to at_school).

      values
      • always_on
      • at_school
      • user_choice
      • always_off
    • consentManagementEnabled
      Type: boolean
      deprecated

      Deprecated: use PUT /orgs/{sourcedId}/config instead. Whether parental consent management is enabled for the organization.

    • credentialImportMode
      Type: stringenum
      deprecated

      Deprecated: use PUT /orgs/{sourcedId}/config instead. Credential import mode - enabled, disabled, or inherit from parent organization (defaults to disabled).

      values
      • enabled
      • disabled
      • inherit
    • metadata
      Type: object | null

      Additional metadata associated with the organization

    • status
      Type: stringenum

      Status of the organization (defaults to active)

      values
      • active
      • tobedeleted
      • inactive